For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETSearch across public resources
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesSearch

Search across public resources

GET
https://api.wynncraft.com/v3/search/:query
GET
/v3/search/:query
$curl https://api.wynncraft.com/v3/search/query
1{
2 "query": "Bo",
3 "players": {
4 "98bc2236-ada5-4039-b560-8aaa4cc50384": "Nepmia"
5 },
6 "guilds": {
7 "adb5f0b5-5289-439c-9293-a29d220e7152": {
8 "name": "Spectral Cabbage",
9 "prefix": "SPC"
10 }
11 },
12 "items": [
13 {
14 "displayName": "Idol",
15 "internalName": "Idol",
16 "type": "weapon",
17 "subType": "spear",
18 "icon": {
19 "value": {
20 "id": "minecraft:potion",
21 "name": "spear.water3",
22 "customModelData": {
23 "rangeDispatch": [
24 3024
25 ]
26 }
27 },
28 "format": "attribute"
29 },
30 "emblem": "diamond_5",
31 "tier": "mythic",
32 "attackSpeed": "normal",
33 "averageDps": 533,
34 "restriction": "none",
35 "dropRestriction": "normal",
36 "elements": [
37 "water"
38 ],
39 "requirements": {
40 "level": 95,
41 "classRequirement": "warrior",
42 "intelligence": 120
43 },
44 "majorIds": {
45 "Tidal Drift": "<span class='font-ascii' style='color:#AAAAAA'>Flying Kick will instead send you forwards. This effect is limited to once per Charge cast.</span>"
46 },
47 "powderSlots": 3,
48 "lore": "<span class='font-ascii' style='color:#AAAAAA'>Intricate carvings and images, almost like that of a totem pole, cover the shaft of this marvelous trident, dredged up from the Seavale Reef. Foreign magics heighten the senses of its user in battle, but also instills a longing for the ocean. Many have succumbed to this urge and drowned themselves.</span>",
49 "identifications": {
50 "manaRegen": {
51 "min": 3,
52 "raw": 10,
53 "max": 13
54 },
55 "reflection": {
56 "min": 9,
57 "raw": 30,
58 "max": 39
59 },
60 "waterDefence": {
61 "min": 5,
62 "raw": 15,
63 "max": 20
64 },
65 "rawIntelligence": 26,
66 "rawSpellDamage": {
67 "min": 79,
68 "raw": 264,
69 "max": 343
70 },
71 "raw2ndSpellCost": {
72 "min": -15,
73 "raw": -50,
74 "max": -65
75 }
76 },
77 "base": {
78 "baseWaterDamage": {
79 "min": 220,
80 "raw": 220,
81 "max": 300
82 }
83 }
84 }
85 ],
86 "guildsPrefix": {
87 "adb5f0b5-5289-439c-9293-a29d220e7152": {
88 "name": "Spectral Cabbage",
89 "prefix": "SPC"
90 }
91 },
92 "territories": {
93 "Ragni": {
94 "start": [
95 -955,
96 -1415
97 ],
98 "end": [
99 -756,
100 -1748
101 ]
102 }
103 },
104 "discoveries": {
105 "Ragni": {
106 "start": [
107 -955,
108 -1415
109 ],
110 "end": [
111 -756,
112 -1748
113 ]
114 }
115 }
116}
<Note> This endpoint is cached for <Badge intent="warning" minimal>10 minutes</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>SHARED</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Item results use the same structure as item responses. Player results are limited to 20 entries and guild results are limited to 50 entries.
Was this page helpful?
Previous

Get total quest count

Next

List leaderboard types

Built with

This endpoint is cached for 10 minutes in the SHARED cache source. See Caching.

This endpoint belongs to the SHARED rate-limit bucket. See Throttling and Rate Limits.

Item results use the same structure as item responses.

Player results are limited to 20 entries and guild results are limited to 50 entries.

Path parameters

querystringRequired

Query parameters

onlystringOptional
Restrict global search to one result category.

Response

Grouped search results.
querystring
playersmap from strings to strings
guildsmap from strings to objects
itemslist of objects
guildsPrefixmap from strings to objects
territoriesmap from strings to objects
discoveriesmap from strings to objects

Errors

400
Bad Request Error
404
Not Found Error